package com.miaxis.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.order.domain.OrderInfo;
import com.miaxis.order.dto.QuerySchoolOrderListDTO;
import com.miaxis.order.vo.OrderIncomeVo;
import com.miaxis.order.vo.QuerySchoolOrderDetailedVo;
import com.miaxis.order.vo.QuerySchoolOrderListVo;

import java.util.List;

/**
 * 订单信息Mapper接口
 *
 * @author miaxis
 * @date 2022-06-01
 */
public interface OrderInfoMapper extends BaseMapper<OrderInfo> {
    /**
     * 查询订单信息列表
     *
     * @param orderInfo 订单信息
     * @return 订单信息集合
     */
    public List<OrderInfo> selectOrderInfoList(OrderInfo orderInfo);

    OrderInfo getByOutTradeNo(String outTradeNo);

    List<QuerySchoolOrderListVo> selectSchoolOrderInfoList(QuerySchoolOrderListDTO schoolOrderListDTO);

    List<OrderInfo> selectSchoolOrderDetailed(QuerySchoolOrderListDTO schoolOrderListDTO);

    Integer getTotalMoney(QuerySchoolOrderListDTO schoolOrderListDTO);

    Integer getCommissionMoney(QuerySchoolOrderListDTO schoolOrderListDTO);

    List<QuerySchoolOrderListVo> selectSchoolOrderInfoExcel(QuerySchoolOrderListDTO schoolOrderListDTO);

    List<QuerySchoolOrderDetailedVo> selectSchoolOrderDetailedExcel(QuerySchoolOrderListDTO schoolOrderListDTO);

    List<OrderIncomeVo> getIncomeList(QuerySchoolOrderListDTO schoolOrderListDTO);
}
